/** @file proxyencoder.cpp
 *  Encoder implementation for proxy
 * 	@headerfile proxyencoder.h "EABaseTypesMessage/proxyencoder.h"
 *	@author Chris Burns (cburns@ea.com)
 *
 *	Core Technology UI
 *	(c) 2012 Electronic Arts Inc. 
 */

#include "EABaseTypesMessage/proxyencoder.h"

#include "EABaseTypesMessage/messageproxy.h"

namespace EA
{
	namespace Types
	{
		FunctionReturn ProxyFunction(MessageProxy* localProxy, MessageProxy* remoteProxy, FunctionIn function)
		{
			return localProxy->EncodeFunction(MessageProxyIn(remoteProxy), function);
		}

		EA::Types::FunctionReturn UnproxyFunction(MessageProxy* localProxy, EA::Types::FunctionIn function)
		{
			return localProxy->DecodeFunction(function);
		}
	}
}
